*****************************************************************
*     * 07/19/92            GETLESS.PRG               1:12:02   *
*****************************************************************
*     *                                                         *
*     * Description:                                            *
*     * This program illustrates GETless (Foundation ) READs    *
*****************************************************************
SET TALK OFF
CLEAR ALL
savemenu = SET("SYSMENU")  && Save SET SYSMENU setting
SET SYSMENU AUTOMATIC      && Make system menu accessible
QuitIt = .F.
USE Census ORDER STATE
SELECT 2 
USE Cities ORDER State
SELECT 1
ON KEY LABEL F3 DO GoCity    && Activate Cities window
ON KEY LABEL F4 DO GoState     && Activate States window
ON KEY LABEL F5 WAIT WINDOW NOWAIT "Read Level"+LTRIM(STR(RDLEVEL()))
ON KEY LABEL F7 DO StopIt

READ VALID QuitIt

SET SYSMENU TO DEFAULT
ON KEY                 && Restore function keys
RETURN
***********************************************************

PROCEDURE STOPIT
QuitIt = .T.
CLEAR READ ALL
RETURN
***********************************************************
* SETCITY  - Initialize City Database Setup
*             Called from CITIES.SPR
PROCEDURE SETCITY
SELECT 2
IF !SEEK(census.state)
    WAIT WINDOW NOWAIT "No cities in list for "+census.state
    RETURN
ENDIF
RETURN
***********************************************************
PROCEDURE GoCity
IF WONTOP("CITIES") OR WLAST("CITIES")
	RETURN
ELSE
    DO CITIES.SPR
ENDIF
***********************************************************
PROCEDURE GoState
IF WONTOP("STATE") OR WLAST("STATE")
	RETURN
ELSE
    DO State.SPR
ENDIF
