****************************************************************
*     * 08/17/92                   MARK.PRG          23:56:33 *
****************************************************************
*     * Description:                                           *
*     *  Illustrates how the SET MARK OF command operates      *
*     *                                                        *
****************************************************************
CLEAR
SET TALK OFF
PUBLIC m._bar_cur, m._Bright
m._bar_cur = 2
m._Bright = .F.
*
**** Add new menu pad to systems menu
*
DEFINE PAD ycolor OF _MSYSMENU PROMPT '\<Background';
	KEY ALT+B, 'ALT+B'
*
**** Create new Popup for menu pad ycolor
*
ON PAD ycolor OF _MSYSMENU ACTIVATE POPUP zcolor
DEFINE POPUP zcolor MARGIN RELATIVE SHADOW COLOR SCHEME 4
DEFINE BAR 1 OF zcolor  PROMPT '\<Black'
DEFINE BAR 2 OF zcolor  PROMPT 'B\<lue'
DEFINE BAR 3 OF zcolor  PROMPT 'Br\<own'
DEFINE BAR 4 OF zcolor  PROMPT '\<Cyan'
DEFINE BAR 5 OF zcolor  PROMPT '\<Green'
DEFINE BAR 6 OF zcolor  PROMPT '\<Magenta'
DEFINE BAR 7 OF zcolor  PROMPT '\<Red'
DEFINE BAR 8 OF zcolor  PROMPT '\<White'
DEFINE BAR 9 OF zcolor  PROMPT 'Br\<ight'
ON SELECTION POPUP zcolor DO zcolorpop IN MARK.PRG

SET MARK OF POPUP zcolor to CHR(16) && right pointing triangle
SET BLINK OFF          && Turn off blinking
SET COLOR TO W+/B
*
*  Turn Mark On for the second bar in Popup zcolor
SET MARK OF BAR 2 OF zcolor TO .T.
CLEAR
RETURN
****************************************************************
* Procedure called when popup menu bar is selected
PROCEDURE zcolorpop
IF BAR() != 9
*
***** Mark bar selected and unmark previous bar
*
     SET MARK OF BAR m._bar_cur OF zcolor TO .F.
     SET MARK OF BAR BAR() OF zcolor TO .T.
     m._bar_cur = BAR()
ENDIF
DO CASE
     CASE BAR() = 8
          SET COLOR TO ( IIF( m._Bright, "N*/W", "N/W" ) )
     CASE BAR() = 9
          m._Bright = ! m._Bright
          SET MARK OF BAR 9 OF zcolor TO m._Bright
     OTHERWISE     && Bars 1-8
          SET COLOR TO ( IIF(m._Bright, "W*/", "W/") + ;
             SUBSTR("N  B  GR BG G  RB R  W  ", ( 3*BAR() ) - 2, 3))
ENDCASE
CLEAR
RETURN
