************************************************************
*-- Name.......: BANNER.PRG - Create @-statements with big
*                             letter banner.
*-- Date.......: 7-20-92
*-- Version....: FoxPRO 2.5 PROGRAM
*-- Notes......: Creates @ ... SAY commands containing big
*                letter banner
***********************************************************
SET TALK OFF
CLEAR

***** Initialize global variables ********
Additive=.F.
Word='         '
CR = 13
Blank = ASC(" ")
A = ASC("A")
Z = ASC("Z")
LEFT = 19
RIGHT = 4
Col = 0
Store CHR(17)+CHR(196)+CHR(217) to Enter 
FileB= ''
GoodFile=.F.
OldFile='x'
Shadow = "Line Shadow"
DO ALP

*** Define Objects
*
DEFINE MENU Banner
DEFINE PAD File OF Banner Prompt " File "
DEFINE PAD TypeB OF Banner Prompt " Banner ";
    MESSAGE "Create a Banner"
DEFINE PAD Edit OF Banner Prompt  " Edit " ;
    MESSAGE "Edit a Banner Program File"
DEFINE POPUP File From 1,0
DEFINE POPUP Banner From 1,7
DEFINE BAR 1 OF File Prompt " New " ;
       MESSAGE "Create a new Banner File"
DEFINE BAR 2 OF File Prompt " Open " ;
       MESSAGE "Open existing Banner File"
DEFINE BAR 3 OF File Prompt " Close " ;
       MESSAGE "Append current Banner To Existing File"
DEFINE BAR 4 OF File Prompt " Save     ^W " ;
       MESSAGE "Append current Banner To Existing File"
DEFINE BAR 5 OF File Prompt " Save as ... " ;
       MESSAGE "Save current banner to New File"
DEFINE BAR 6 OF File Prompt "\-" SKIP
DEFINE BAR 7 OF File Prompt " Exit        " ;
       MESSAGE "Save Banner and Exit"
*
DEFINE BAR 1 OF Banner Prompt " Generate Banner "
DEFINE BAR 2 OF Banner Prompt " Style     Line Shadow"
*** Establish Actions
*
ON PAD File OF Banner ACTIVATE POPUP File
ON PAD TypeB OF Banner ACTIVATE POPUP Banner
ON SELECTION PAD Edit OF Banner DO EditB
ON SELECTION POPUP File DO FileAct
ON SELECTION POPUP Banner DO BannerAct 
ACTIVATE MENU Banner
IF LEN(FileB)=0
	DO WriteB With Word
ENDIF
SET ALTER TO
RELEASE MENU Banner
RELEASE POPUP File, Banner
RELEASE ALL LIKE Alpha
CLEAR
RETURN
************************************************************
PROCEDURE BannerAct
bar = BAR()
IF Bar = 1
	DO TypeB
ELSE
	DO SetShadow
ENDIF
RETURN
************************************************************
PROCEDURE FileAct
bar = BAR()
DO CASE
	CASE BAR=1 && Create new file
		FileB = ''
		DO GetFile WITH FileB
	
	CASE BAR=2 && Define existing file
		DO OpenFile WITH FileB
	
	CASE BAR=3
		SET ALTER TO
		FileB= ''
	
	CASE BAR=4 && Append to existing file
		IF GoodFile
			DO WriteB WITH Word
		ELSE
			DO RingBell
		ENDIF
	
	CASE BAR=5 && Append to different file
		FileB=''
		DO GetFile WITH FileB
		DO WriteB WITH Word
	
	CASE BAR=7 && Exit
		DEACTIVATE MENU
ENDCASE
GoodFile = Len(FileB)>0
   OldFile = FileB
   If GoodFile
	file1 = "Banner File:"+FileB
	l=len(file1)
	s=40-l/2
	@ 17,s to 19,s+l+1 PANEL
	@ 18,s+1 SAY file1
   ELSE
	@ 17,0 CLEAR TO 19,79
   ENDIF
RETURN
***********************************************************
* Get a file
PROCEDURE GetFile
Parameter FileX
i=1
set talk off
do while i<9
	define window EXPLODE from (12),(40-4*i) ;
	        to 16,(40+4*i)  color w+/g panel
	activ window EXPLODE
	i=i+2
enddo
********
F = FileX + space(40)
DO WHILE .t.
	@ 1,0 SAY "Enter name of banner file";
	      GET F PICTURE '@S20'
	READ
	IF VerifyF(F,FileX)
		EXIT
	ENDIF
ENDDO
RELEASE WINDOW EXPLODE
RETURN
************************************************************
FUNCTION VerifyF
Parameter F, FileF 
Ferror = .F.
ON ERROR Ferror=.T.
IF Len(Trim(F)) >0 
	FileX = Trim(F)
	IF .not. '.'$FileX
		FileX = FileX + '.BAN'
	ENDIF
	If FILE(Filex)
		Additive = Dialog("File Exists. "+ ;
		   "Should Data be appended? (Y/N)")
	ENDIF
ELSE
	RETURN .F.
ENDIF
ON ERROR
IF Ferror
	IF .not. Dialog (MESSAGE()+"  Retry? (Y/N)")
		Filex=''
		RETURN .T.
	ENDIF
ELSE
	IF Additive
		SET ALTER TO (FileX)          ADDITIVE
	ELSE
		SET ALTER TO (FileX)
	ENDIF
	RETURN .T.
ENDIF
RETURN .F.
************************************************************
PROCEDURE OpenFile
Parameter FileX
FileX=''
DEFINE POPUP FileX FROM 1,20 PROMPT FILE LIKE *.BAN
ON SELECTION POPUP FileX DO FAction WITH FileX
ACTIVATE POPUP FileX
IF Len(FileX)>0
	F=VerifyF(FileX,FileX)
ENDIF
RELEASE POPUP FileX
************************************************************
PROCEDURE FAction
Parameter FileX
FileX = LTRIM(Trim(PROMPT()))
DEACTIVATE POPUP
************************************************************
PROCEDURE SetShadow
DO CASE
   CASE "Line"$Shadow
	LStart = 178 && Range of ASCII single
	LEnd   = 219 &&  line characters
	i = 1	&& Remove Line Shadow
	@ 14,27 TO 16,54 PANEL 
	
	DO WHILE I < 27
		j=1
		@ 15,28 SAY repli(chr(219),I) Color R/b
		DO WHILE J < 7
			Letter = Alpha[I,J]
			K = 1
			C=""
			DO WHILE K < 9
			  Char = Substr(Letter,K,1)
			  AChar = ASC(Char)
			  IF AChar > LStart .and. ;
			     AChar < LEnd
				  Char = " "
			  ENDIF
			  C = C + Char
			  K = K + 1
			ENDDO
			ALPHA[I,J] = C
			J = J + 1
		ENDDO
		I = I + 1
	ENDDO
	@ 14,26 CLEAR TO 16,55  
	Shadow = 'Plain'

   CASE Shadow = 'Shadow'
	DO ALP
	Shadow = 'Line Shadow'
   CASE Shadow = 'Plain'
	DO Shadow2
 
ENDCASE
DEFINE BAR 2 OF Banner Prompt " Style    "+Shadow
RETURN
***********************************************************
PROCEDURE Shadow2
i = 1	&& Add new Shadow
@ 14,27 TO 16,54 PANEL 

DO WHILE I < 27
	j=1
	@ 15,28 SAY repli(chr(219),I) Color R/b
	DO WHILE J < 6
		Letter = Alpha[I,J]
		LNext = ALPHA[I,J+1]
		K = 1
		DO WHILE K < 8
		  Char = Substr(Letter,K,1)
		  IF Char#" " ;
		       .AND. SUBSTR(LNext,K+1,1) = " ";
		       .AND. Char # Chr(176)
				LNEXT = STUFF(LNEXT,K+1,1,chr(176))
		  ENDIF
		  K = K + 1
		ENDDO
		ALPHA[I,J+1] = LNEXT
		J = J + 1
	ENDDO
	I = I + 1
ENDDO
Shadow = "Shadow"
@ 14,26 CLEAR TO 16,55 
RETURN
***********************************************************
*
PROCEDURE EditB
SET ALTER TO
FileX=''
DEFINE POPUP FileX FROM 1,16 PROMPT FILE LIKE *.BAN
ON SELECTION POPUP FileX DO FAction WITH FileX
ACTIVATE POPUP FileX
RELEASE POPUP FileX
IF len(FileX)>0
	modif file &fileX
Endif
*
************************************************************
PROCEDURE TypeB
SET MESSAGE TO "FoxPro 2 BANNER PROGRAM"
@ 20,5 SAY "Type Alpha Letters to generate Banner.  Press ";
           +Enter+" key to finish." COLOR GR+/B
Col=0
j=1
DO WHILE Col <= 72
	Char=SUBSTR(Word,J,1)
	IF Char#' '
		DO SHOWCHAR WITH 8,Col,ASC(Char)-A+1
	ENDIF
	Col = Col + 9
	J=J+1
ENDDO
Col=0
DO WHILE .T.
	@ 8,col FILL TO 13,col+7 COLOR B+/W  && Draw Cursor
	Char=Inkey(0)
	@ 8,col FILL TO 13,col+7 COLOR W+/B  && Erase Cursor
	
	AChar = Upper(Chr(Char))
	Char  = ASC(AChar)
	DO CASE
		CASE Char = CR
			EXIT
			
		CASE Char = Blank .OR. Char = RIGHT
			IF col < 72
			  IF Char = Blank
				@ 8,col CLEAR TO 13,col+7 
				DO STOCHAR WITH col,Word," "
			  ENDIF
			  col=col+9
			ELSE
			  DO RingBell
			ENDIF
			
		CASE Char= 127 .or. Char= 8 .or. Char= LEFT
			IF col=0
			  DO RingBell
			ELSE
			  IF Char # LEFT
			     @ 8,col CLEAR TO 13,col+7 
			     DO STOCHAR WITH col,Word," "
			  ENDIF
			  col = col-9
			ENDIF
		CASE Char = 23  && ^W
			if len(FileB) # 0
				DO WriteB With Word
			ELSE
				@ 14,25 TO 16,55
				@ 15,27 SAY "File name must be specified"
				DO RingBell
				DO RingBell
				@ 14,25 CLEAR TO 16,55
			ENDIF
		CASE Char < A .or. Char > Z
			Do RingBell
			
		OTHERWISE
			IF Col < 73
			   DO SHOWCHAR WITH 8,Col,Char-A+1
			   DO STOCHAR WITH col,Word,Achar
			   IF Col < 72
				Col = Col + 9
			   ENDIF 
			ELSE
			   DO RingBell
			ENDIF
	ENDCASE
ENDDO
SET MESSAGE TO


***********************************************************
PROCEDURE ShowChar
PARAMETER Row,Col,Character
I=1
DO WHILE I < 7
	@ Row+I-1,Col SAY ALPHA[Character,I]
	I=I+1
ENDDO
RETURN
************************************************************
PROCEDURE StoChar
Parameter col,Word,Character
Word = STUFF(Word,(col/9)+1,1,Character)
RETURN
************************************************************
PROCEDURE RingBell

set bell to 1000,1
?? chr(7)
set bell to 550,1
?? chr(7)
set bell to
RETURN
***********************************************************
PROCEDURE WriteB
Parameter Word 
lenw= len(trim(word))
if lenw=0
	RETURN
ENDIF
SET CONSOLE OFF
SET ALTER ON
j=1
? "Row=1"
DO WHILE J<7
	i=1
	Letters=''
	DO WHILE i<=lenw
		char=substr(word,i,1)
		IF Char = ' '
		      Letters=Letters+space(8)
		ELSE
		      Letters=Letters+Alpha[Asc(Char)-A+1,j]
		ENDIF
		i=i+1
	ENDDO
	? "@ Row+"+str(j,2)+',0 SAY "'+Letters+'"'
	j=j+1
ENDDO
SET ALTER OFF
SET CONSOLE ON
RETURN
************************************************************
PROCEDURE ALP
PUBLIC ARRAY Alpha[26,6]
IF FILE("ALP.MEM")
	RESTORE FROM ALP ADDITIVE
	RETURN
ENDIF       && 12345678
alpha[1,1] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[1,2] = CHR(219) +CHR(219) +CHR(32) +CHR(218) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[1,3] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[1,4] = CHR(219) +CHR(219) +CHR(32) +CHR(218) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[1,5] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[1,6] = CHR(32) +CHR(192) +CHR(196) +CHR(217) +;
             CHR(32) +CHR(192) +CHR(196) +CHR(217) 
alpha[2,1] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[2,2] = CHR(219) +CHR(219) +CHR(32) +CHR(218) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[2,3] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[2,4] = CHR(219) +CHR(219) +CHR(32) +CHR(218) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[2,5] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[2,6] = CHR(32) +CHR(192) +CHR(196) +CHR(196) +;
             CHR(196) +CHR(196) +CHR(196) +CHR(217) 
alpha[3,1] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[3,2] = CHR(219) +CHR(219) +CHR(32) +CHR(218) +;
             CHR(196) +CHR(196) +CHR(196) +CHR(217) 
alpha[3,3] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(32) +CHR(32) +CHR(32) +CHR(32) 
alpha[3,4] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(32) +CHR(32) +CHR(32) +CHR(32) 
alpha[3,5] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[3,6] = CHR(32) +CHR(192) +CHR(196) +CHR(196) +;
             CHR(196) +CHR(196) +CHR(196) +CHR(217) 
alpha[4,1] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(220) +CHR(196) +CHR(191) 
alpha[4,2] = CHR(219) +CHR(219) +CHR(32) +CHR(218) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[4,3] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[4,4] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[4,5] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(223) +CHR(32) +CHR(179) 
alpha[4,6] = CHR(32) +CHR(192) +CHR(196) +CHR(196) +;
             CHR(196) +CHR(196) +CHR(196) +CHR(217) 
alpha[5,1] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[5,2] = CHR(219) +CHR(219) +CHR(32) +CHR(218) +;
             CHR(196) +CHR(196) +CHR(196) +CHR(217) 
alpha[5,3] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(196) +CHR(191) +CHR(32) +CHR(32) 
alpha[5,4] = CHR(219) +CHR(219) +CHR(32) +CHR(218) +;
             CHR(196) +CHR(217) +CHR(32) +CHR(32) 
alpha[5,5] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[5,6] = CHR(32) +CHR(192) +CHR(196) +CHR(196) +;
             CHR(196) +CHR(196) +CHR(196) +CHR(217) 
alpha[6,1] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[6,2] = CHR(219) +CHR(219) +CHR(32) +CHR(218) +;
             CHR(196) +CHR(196) +CHR(196) +CHR(217) 
alpha[6,3] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(196) +CHR(191) +CHR(32) +CHR(32) 
alpha[6,4] = CHR(219) +CHR(219) +CHR(32) +CHR(218) +;
             CHR(196) +CHR(217) +CHR(32) +CHR(32) 
alpha[6,5] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(32) +CHR(32) +CHR(32) +CHR(32) 
alpha[6,6] = CHR(32) +CHR(192) +CHR(196) +CHR(217) +;
             CHR(32) +CHR(32) +CHR(32) +CHR(32) 
alpha[7,1] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[7,2] = CHR(219) +CHR(219) +CHR(32) +CHR(218) +;
             CHR(196) +CHR(196) +CHR(196) +CHR(217) 
alpha[7,3] = CHR(219) +CHR(219) +CHR(32) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[7,4] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[7,5] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[7,6] = CHR(32) +CHR(192) +CHR(196) +CHR(196) +;
             CHR(196) +CHR(196) +CHR(196) +CHR(217) 
alpha[8,1] = CHR(219) +CHR(219) +CHR(196) +CHR(191) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[8,2] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[8,3] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[8,4] = CHR(219) +CHR(219) +CHR(32) +CHR(218) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[8,5] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[8,6] = CHR(32) +CHR(192) +CHR(196) +CHR(217) +;
             CHR(32) +CHR(192) +CHR(196) +CHR(217) 
alpha[9,1] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[9,2] = CHR(32) +CHR(192) +CHR(219) +CHR(219) +;
             CHR(32) +CHR(218) +CHR(196) +CHR(217) 
alpha[9,3] = CHR(32) +CHR(32) +CHR(219) +CHR(219) +;
             CHR(32) +CHR(179) +CHR(32) +CHR(32) 
alpha[9,4] = CHR(32) +CHR(32) +CHR(219) +CHR(219) +;
             CHR(32) +CHR(179) +CHR(32) +CHR(32) 
alpha[9,5] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[9,6] = CHR(32) +CHR(192) +CHR(196) +CHR(196) +;
             CHR(196) +CHR(196) +CHR(196) +CHR(217) 
alpha[10,1] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[10,2] = CHR(32) +CHR(192) +CHR(219) +CHR(219) +;
             CHR(32) +CHR(218) +CHR(196) +CHR(217) 
alpha[10,3] = CHR(32) +CHR(32) +CHR(219) +CHR(219) +;
             CHR(32) +CHR(179) +CHR(32) +CHR(32) 
alpha[10,4] = CHR(32) +CHR(32) +CHR(219) +CHR(219) +;
             CHR(32) +CHR(179) +CHR(32) +CHR(32) 
alpha[10,5] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(32) +CHR(179) +CHR(32) +CHR(32) 
alpha[10,6] = CHR(32) +CHR(192) +CHR(196) +CHR(196) +;
             CHR(196) +CHR(217) +CHR(32) +CHR(32) 
alpha[11,1] = CHR(219) +CHR(219) +CHR(196) +CHR(219) +;
             CHR(219) +CHR(196) +CHR(191) +CHR(32) 
alpha[11,2] = CHR(219) +CHR(219) +CHR(32) +CHR(219) +;
             CHR(219) +CHR(32) +CHR(179) +CHR(32) 
alpha[11,3] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(192) +CHR(191) 
alpha[11,4] = CHR(219) +CHR(219) +CHR(32) +CHR(218) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[11,5] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[11,6] = CHR(32) +CHR(192) +CHR(196) +CHR(217) +;
             CHR(32) +CHR(192) +CHR(196) +CHR(217) 
alpha[12,1] = CHR(219) +CHR(219) +CHR(196) +CHR(191) +;
             CHR(32) +CHR(32) +CHR(32) +CHR(32) 
alpha[12,2] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(32) +CHR(32) +CHR(32) +CHR(32) 
alpha[12,3] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(32) +CHR(32) +CHR(32) +CHR(32) 
alpha[12,4] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(32) +CHR(32) +CHR(32) +CHR(32) 
alpha[12,5] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[12,6] = CHR(32) +CHR(192) +CHR(196) +CHR(196) +;
             CHR(196) +CHR(196) +CHR(196) +CHR(217) 
alpha[13,1] = CHR(219) +CHR(219) +CHR(196) +CHR(191) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[13,2] = CHR(219) +CHR(219) +CHR(221) +CHR(222) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[13,3] = CHR(219) +CHR(219) +CHR(222) +CHR(221) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[13,4] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[13,5] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[13,6] = CHR(32) +CHR(192) +CHR(196) +CHR(217) +;
             CHR(32) +CHR(192) +CHR(196) +CHR(217) 
alpha[14,1] = CHR(219) +CHR(219) +CHR(196) +CHR(191) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[14,2] = CHR(219) +CHR(219) +CHR(221) +CHR(179) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[14,3] = CHR(219) +CHR(219) +CHR(222) +CHR(221) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[14,4] = CHR(219) +CHR(219) +CHR(32) +CHR(222) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[14,5] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[14,6] = CHR(32) +CHR(192) +CHR(196) +CHR(217) +;
             CHR(32) +CHR(192) +CHR(196) +CHR(217) 
alpha[15,1] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[15,2] = CHR(219) +CHR(219) +CHR(32) +CHR(218) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[15,3] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[15,4] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[15,5] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[15,6] = CHR(32) +CHR(192) +CHR(196) +CHR(196) +;
             CHR(196) +CHR(196) +CHR(196) +CHR(217) 
alpha[16,1] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[16,2] = CHR(219) +CHR(219) +CHR(32) +CHR(218) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[16,3] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[16,4] = CHR(219) +CHR(219) +CHR(32) +CHR(218) +;
             CHR(196) +CHR(196) +CHR(196) +CHR(217) 
alpha[16,5] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(32) +CHR(32) +CHR(32) +CHR(32) 
alpha[16,6] = CHR(32) +CHR(192) +CHR(196) +CHR(217) +;
             CHR(32) +CHR(32) +CHR(32) +CHR(32) 
alpha[17,1] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[17,2] = CHR(219) +CHR(219) +CHR(32) +CHR(218) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[17,3] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[17,4] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(219) +CHR(32) +CHR(32) +CHR(179) 
alpha[17,5] = CHR(219) +CHR(219) +CHR(219) +CHR(223) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[17,6] = CHR(32) +CHR(192) +CHR(196) +CHR(196) +;
             CHR(196) +CHR(196) +CHR(196) +CHR(217) 
alpha[18,1] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[18,2] = CHR(219) +CHR(219) +CHR(32) +CHR(218) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[18,3] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[18,4] = CHR(219) +CHR(219) +CHR(32) +CHR(219) +;
             CHR(219) +CHR(32) +CHR(218) +CHR(217) 
alpha[18,5] = CHR(219) +CHR(219) +CHR(32) +CHR(219) +;
             CHR(219) +CHR(32) +CHR(179) +CHR(32) 
alpha[18,6] = CHR(32) +CHR(192) +CHR(196) +CHR(217) +;
             CHR(192) +CHR(196) +CHR(217) +CHR(32) 
alpha[19,1] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[19,2] = CHR(219) +CHR(219) +CHR(32) +CHR(218) +;
             CHR(196) +CHR(196) +CHR(196) +CHR(217) 
alpha[19,3] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[19,4] = CHR(32) +CHR(192) +CHR(196) +CHR(196) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[19,5] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[19,6] = CHR(32) +CHR(192) +CHR(196) +CHR(196) +;
             CHR(196) +CHR(196) +CHR(196) +CHR(217) 
alpha[20,1] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[20,2] = CHR(32) +CHR(192) +CHR(219) +CHR(219) +;
             CHR(32) +CHR(218) +CHR(196) +CHR(217) 
alpha[20,3] = CHR(32) +CHR(32) +CHR(219) +CHR(219) +;
             CHR(32) +CHR(179) +CHR(32) +CHR(32) 
alpha[20,4] = CHR(32) +CHR(32) +CHR(219) +CHR(219) +;
             CHR(32) +CHR(179) +CHR(32) +CHR(32) 
alpha[20,5] = CHR(32) +CHR(32) +CHR(219) +CHR(219) +;
             CHR(32) +CHR(179) +CHR(32) +CHR(32) 
alpha[20,6] = CHR(32) +CHR(32) +CHR(32) +CHR(192) +;
             CHR(196) +CHR(217) +CHR(32) +CHR(32) 
alpha[21,1] = CHR(219) +CHR(219) +CHR(196) +CHR(191) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[21,2] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[21,3] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[21,4] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[21,5] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[21,6] = CHR(32) +CHR(192) +CHR(196) +CHR(196) +;
             CHR(196) +CHR(196) +CHR(196) +CHR(217) 
alpha[22,1] = CHR(219) +CHR(219) +CHR(196) +CHR(191) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[22,2] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[22,3] = CHR(222) +CHR(219) +CHR(221) +CHR(222) +;
             CHR(219) +CHR(221) +CHR(218) +CHR(217) 
alpha[22,4] = CHR(222) +CHR(219) +CHR(221) +CHR(222) +;
             CHR(219) +CHR(221) +CHR(179) +CHR(32) 
alpha[22,5] = CHR(32) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(32) +CHR(179) +CHR(32) 
alpha[22,6] = CHR(32) +CHR(32) +CHR(192) +CHR(196) +;
             CHR(196) +CHR(196) +CHR(217) +CHR(32) 
alpha[23,1] = CHR(219) +CHR(219) +CHR(196) +CHR(191) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[23,2] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[23,3] = CHR(219) +CHR(219) +CHR(222) +CHR(221) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[23,4] = CHR(219) +CHR(219) +CHR(221) +CHR(222) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[23,5] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[23,6] = CHR(32) +CHR(192) +CHR(196) +CHR(217) +;
             CHR(32) +CHR(192) +CHR(196) +CHR(217) 
alpha[24,1] = CHR(219) +CHR(219) +CHR(196) +CHR(191) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[24,2] = CHR(222) +CHR(219) +CHR(221) +CHR(222) +;
             CHR(219) +CHR(221) +CHR(218) +CHR(217) 
alpha[24,3] = CHR(32) +CHR(32) +CHR(219) +CHR(219) +;
             CHR(32) +CHR(32) +CHR(179) +CHR(32) 
alpha[24,4] = CHR(222) +CHR(219) +CHR(221) +CHR(222) +;
             CHR(219) +CHR(221) +CHR(179) +CHR(32) 
alpha[24,5] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(219) +CHR(219) +CHR(192) +CHR(191) 
alpha[24,6] = CHR(32) +CHR(192) +CHR(196) +CHR(217) +;
             CHR(32) +CHR(192) +CHR(196) +CHR(217) 
alpha[25,1] = CHR(219) +CHR(219) +CHR(196) +CHR(191) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[25,2] = CHR(219) +CHR(219) +CHR(32) +CHR(179) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[25,3] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(32) +CHR(179) 
alpha[25,4] = CHR(32) +CHR(192) +CHR(219) +CHR(219) +;
             CHR(32) +CHR(218) +CHR(196) +CHR(217) 
alpha[25,5] = CHR(32) +CHR(32) +CHR(219) +CHR(219) +;
             CHR(32) +CHR(179) +CHR(32) +CHR(32) 
alpha[25,6] = CHR(32) +CHR(32) +CHR(32) +CHR(192) +;
             CHR(196) +CHR(217) +CHR(32) +CHR(32) 
alpha[26,1] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[26,2] = CHR(32) +CHR(192) +CHR(191) +CHR(222) +;
             CHR(219) +CHR(221) +CHR(218) +CHR(217) 
alpha[26,3] = CHR(32) +CHR(32) +CHR(219) +CHR(219) +;
             CHR(218) +CHR(196) +CHR(217) +CHR(32) 
alpha[26,4] = CHR(222) +CHR(219) +CHR(221) +CHR(32) +;
             CHR(179) +CHR(32) +CHR(32) +CHR(32) 
alpha[26,5] = CHR(219) +CHR(219) +CHR(219) +CHR(219) +;
             CHR(219) +CHR(219) +CHR(196) +CHR(191) 
alpha[26,6] = CHR(32) +CHR(192) +CHR(196) +CHR(196) +;
             CHR(196) +CHR(196) +CHR(196) +CHR(217) 
SAVE ALL LIKE alpha TO ALP
RETURN

************************************************************
*-- Name.......: Dialog: Ask a Yes/No question. 
*                Returns True/False
*-- Date.......: 1-1-90
*-- Version....: dBASE IV Program
************************************************************
FUNCTION Dialog
PARAMETER Message
lmax = txtwidth(Message)/2
lm=2
DO WHILE lm < lmax
	lm=lm+5
	DEFINE WINDOW Dialog FROM 10,39-lm To 14,43+lm ;
	          COLOR w+/r,,w+/r
	ACTIVATE WINDOW Dialog
ENDDO
DEFINE WINDOW Dialog FROM 10,39-lmax To 14,43+lmax ;
       COLOR w+/r,,w+/r
ACTIVATE WINDOW Dialog
@ 1,2 SAY Message
Answer=INKEY(0)
RELEASE WINDOW Dialog
RETURN (Answer= 89 .or. Answer=121)

