*****************************************************************
*     * 09/92               SPIN.PRG                            *
*****************************************************************
*     * Author's Name: Jeb Long                                 *
*     *                                                         *
*     * Description:                                            *
*     * This user-defined function displays a "spinning dial"   *
*     * while a process is being carried out to indicate        *
*     * the progress of a command.     For example:             *
*     *   REPL ALL NAMES with SPIN(FNAME+" "+LNAME)             *
*****************************************************************
* SPIN.PRG - Displays spinning Dial
FUNCTION SPIN
PARAMETER IFIELD
? ifield
@ 10,40 say substr("|/-\",(recn() % 4)+1,1)
RETURN IFIELD
    
