*****************************************************************
*     * 07/16/92            WINFUN.PRG                 12:18:19 *
*****************************************************************
*     * Author's Name: Jeb Long                                 *
*     *                                                         *
*     * Description:                                            *
*     * This program illustrates use of window functions        *
*     *                                                         *
*****************************************************************
SET TALK OFF
CLEAR
IF .NOT. WEXIST("W1")   && Only define it if it does not exist
	DEFINE WINDOW W1 FROM 1,0   TO 10,19  TITLE "default" ;
    FILL chr(176) FLOAT
ENDIF

DEFINE WINDOW W2 FROM 12,0  TO 20,19  NONE  ;
    FLOAT GROW MINIMIZE ZOOM
DEFINE WINDOW W3 FROM 1,20  TO 10,39  DOUBLE TITLE "Double";
    FLOAT GROW MINIMIZE ZOOM
DEFINE WINDOW W4 FROM 12,20 TO 20,39 PANEL   TITLE "Panel";
    COLOR SCHEME 3 FLOAT GROW MINIMIZE ZOOM
DEFINE WINDOW W5 FROM 1,40  TO 10,59 SYSTEM;   
    TITLE "System2" FLOAT GROW MINIMIZE ZOOM
DEFINE WINDOW W6 FROM 12,40 TO 20,59  "A"    TITLE " Letter ";
    FLOAT GROW MINIMIZE ZOOM
DEFINE WINDOW W7 FROM 1,60   TO 10,77 SYSTEM  TITLE "System";
    FILL FILE TREE.BMP FLOAT GROW MINIMIZE ZOOM
DEFINE WINDOW W8 FROM 5,5 TO 18,40  SYSTEM    TITLE " System ";
    MINIMIZE SHADOW FLOAT ZOOM GROW FOOTER "Shadow" ;
    COLOR SCHEME 8 
ACTIVATE WINDOW ALL  && Note that W8 will be current active
ON KEY LABEL MOUSE DO SHOWSTAT
DO SHOWSTAT
choice = 1
@ 11,14 GET choice FUNCTION "*  \<Exit" 
READ CYCLE 
CLEAR ALL
ON KEY
RETURN
*****************************************************************
*     * PROCEDURE: ShowStat                                     *
*     * Description:                                            *
*     *  Display window status information                      *
*****************************************************************
PROCEDURE SHOWSTAT
@ 0,1 SAY "Output Window: "+ WOUTPUT()
WOT = WONTOP()
@ 1,1 SAY "Parameters for Window: "+ WOT  
@ 2,1 SAY "  Title:               "+ WTITLE(WOT)+"  "
@ 3,1 SAY "  Prior active window: "+ WLAST()
@ 4,1 SAY "  Output Window?       "+;
          IIF( WOUTPUT(WOT), "Yes","No ")
@ 5,1 SAY "  Border?              "+;
          IIF( WBORDER(WOT), "Yes","No ")
@ 6,1 SAY "  Minimized?           "+; 
          IIF( WMINIMUM(WOT), "Yes","No ")
@ 7,1 SAY "  Maximized?           "+; 
          IIF( WMAXIMUM(WOT), "Yes","No ")
@ 8,1 SAY "  Is it visible?       "+;
          IIF( WVISIBLE(WOT), "Yes","No ")
@ 9,1 SAY "  Current READ Window? "+; 
          IIF( WREAD(WOT), "Yes","No ")
@ 10,1 SAY "Location: "+N2C(WLROW(WOT))+;
                    ","+N2C(WLCOL(WOT))+;
          " Size: "    +N2C(WROWS(WOT))+;
                    ","+N2C(WCOLS(WOT)) + "    "          
RETURN
*****************************************************************
*     * PROCEDURE: N2C                                           *
*     * Description:                                            *
*     *  Converts number to trimmed string                      *
*****************************************************************
FUNCTION N2C
PARAMETER Number
RETURN LTRIM(STR(Number))
