****************************************************************
* Filename : RESTSET.PRG
* 
* Date     : July 7, 1992
* Purpose  : Restores FoxPro 2 Environment
****************************************************************
*
PRIVATE Save_Set, Set_Value, Set_OnOff
DECLARE Save_Set[52+36+26], Set_Value[26], Set_OnOff[52]
IF FILE("SETNAMES.MEM")
    && Restore SET keyword names from SETNAMES.MEM memvar file
	RESTORE FROM SETNAMES ADDITIVE
ELSE
	DO SETNAMES                   && Initialize array of SET keywords
ENDIF
RESTORE FROM SAVESETS ADDITIVE	&& Restore array containing SET values

*
********************************************************
* Restore all set parameters with YES/NO values
*    The following code creates a string consisting of
*    a SET keyword followed by either ON or OFF depending
*    on the .T. or .F. value of Save_Set[]
*
Set_J= 37
FOR Set_I = 1 TO 52
        Save_Temp = Set_OnOff[Set_I] + ;
                    IIF( Save_Set[Set_J], " ON", " OFF" )
	SET &Save_Temp
	Set_J = Set_J + 1
ENDFOR
*
**********************************************************
* Retrive other for SET parameters
*

FOR Set_I = 1 TO 19
	SET  &Set_Value[Set_I]   TO (Save_Set[Set_J])  
	SET_J=SET_J+1
ENDFOR
FOR Set_I = 20 TO 23
	Save_Temp = Set_Value[Set_I] +"  TO " +Save_Set[Set_J]  
	SET &Save_Temp
	SET_J=SET_J+1
ENDFOR
SET DELIMITERS TO  Save_Set[Set_J]
SET DEVICE TO &Save_Set[Set_J+1])
SET UDFPARMS TO &Save_Set[Set_J+2])
*
**************************************************************
* Save systmem memvars
*
_ALIGNMENT =  Save_Set[1] 
_BOX	   =  Save_Set[2] 
_CALCMEM   =  Save_Set[3] 
_CALCVALUE =  Save_Set[4] 
_CUROBJ    =  Save_Set[5] 
_DBLCLICK  =  Save_Set[6] 
_DIARYDATE =  Save_Set[7] 
_INDENT    =  Save_Set[8] 
_LMARGIN   =  Save_Set[9] 
_PADVANCE  =  Save_Set[10]
_PAGENO    =  Save_Set[11] 
_PBPAGE    =  Save_Set[12] 
_PCOLNO    =  Save_Set[13] 
_PCOPIES   =  Save_Set[14] 
_PDRIVER   =  Save_Set[15] 
_PECODE    =  Save_Set[16] 
_PEJECT    =  Save_Set[17] 
_PEPAGE    =  Save_Set[18] 
_PFORM     =  Save_Set[19] 
_PLENGTH   =  Save_Set[20] 
_PLINENO   =  Save_Set[21] 
_PLOFFSET  =  Save_Set[22] 
_PPITCH    =  Save_Set[23] 
_PQUALITY  =  Save_Set[24] 
_PRETEXT   =  Save_Set[25] 
_PSCODE    =  Save_Set[26] 
_PSPACING  =  Save_Set[27] 
_PWAIT     =  Save_Set[28] 
_RMARGIN   =  Save_Set[29] 
_TABS	   =  Save_Set[30] 
_TEXT	   =  Save_Set[31] 
_TALLY     =  Save_Set[32] 
_WRAP	   =  Save_Set[33] 

=INSMODE(Save_Set[34])
=CAPSLOCK(Save_Set[35])
=NUMLOCK(Save_Set[36])
*	    
RELEASE Save_Set, Set_Value, Set_OnOff
RETURN
