****************************************************************
* Filename : SAVESET.PRG
* 
* Date     : July 7, 1992
* Purpose  : Saves FoxPro environment
****************************************************************
*
PRIVATE Save_Set, Set_Value, Set_OnOff
DECLARE Save_Set[52+26+36], Set_Value[26], Set_OnOff[52]
IF FILE("SETNAMES.MEM")
    && Restore SET keywords from memvar file, SETNAMES.MEM
 	RESTORE FROM SETNAMES ADDITIVE
ELSE
	DO SETNAMES                  && Initialize array of SET keywords
ENDIF
*
********************************************************
* Fetch all set parameters with YES/NO values
*    Store .T. for ON and .F. for OFF
Set_J= 37
FOR Set_I = 1 TO 52
	Save_Set[Set_J] = (SET( Set_OnOff[Set_I] ) = "ON")
	Set_J = Set_J + 1
ENDFOR
*
**********************************************************
* Retrive other for SET parameters
*
FOR Set_I = 1 TO 18
	Save_Set[Set_J] = SET( Set_Value[Set_I] ) 
    ? Set_value[Set_I],SET( Set_Value[Set_I] )
	Set_J = Set_J + 1    
ENDFOR
?
? "two argument set function"
FOR Set_I = 19 TO 24
	Save_Set[Set_J] = SET( Set_Value[Set_I],1 ) 
    ? Set_value[Set_I],SET( Set_Value[Set_I],1 )
	Set_J = Set_J + 1    
ENDFOR
Save_Set[Set_J]   = SET( Set_Value[25] ) 
Save_Set[Set_J+1] = SET( Set_Value[26] ) 
*
**************************************************************
* Save system memvars
*
Save_Set[1] = _ALIGNMENT
Save_Set[2] = _BOX
Save_Set[3] = _CALCMEM
Save_Set[4] = _CALCVALUE
Save_Set[5] = _CUROBJ
Save_Set[6] = _DBLCLICK
Save_Set[7] = _DIARYDATE
Save_Set[8] = _INDENT
Save_Set[9] = _LMARGIN
Save_Set[10] = _PADVANCE
Save_Set[11] = _PAGENO
Save_Set[12] = _PBPAGE
Save_Set[13] = _PCOLNO
Save_Set[14] = _PCOPIES
Save_Set[15] = _PDRIVER
Save_Set[16] = _PECODE
Save_Set[17] = _PEJECT
Save_Set[18] = _PEPAGE
Save_Set[19] = _PFORM
Save_Set[20] = _PLENGTH
Save_Set[21] = _PLINENO
Save_Set[22] = _PLOFFSET
Save_Set[23] = _PPITCH
Save_Set[24] = _PQUALITY
Save_Set[25] = _PRETEXT
Save_Set[26] = _PSCODE
Save_Set[27] = _PSPACING
Save_Set[28] = _PWAIT
Save_Set[29] = _RMARGIN
Save_Set[30] = _TABS
Save_Set[31] = _TEXT
Save_Set[32] = _TALLY
Save_Set[33] = _WRAP
Save_Set[34]  = insmode()
Save_Set[35]  = capslock()
Save_Set[36]  = numlock()

*
SAVE TO SAVESETS ALL LIKE Save_Set
RELEASE Save_Set, Set_Value, Set_OnOff
RETURN

