**************************************************************
*     * 09/22/92          SYSPOPUP.PRG              9:14:11  *
**************************************************************
*     *                                                      *
*     * Description:                                         *
*     *  This program illustrates how to replace the FoxPro  *
*     *  System menu bar with your own "system menu bar"     *
*     *  using the  user-defined menu system commands        *
*     *                                                      *
**************************************************************
*
CLEAR
SET SYSMENU SAVE	&& Save the Systems menu bar
SET SYSMENU TO 	&& Remove the system menu bars 
*
*** Now define a new PAD for the system menu bar

DEFINE PAD Bpad OF _MSYSMENU PROMPT '\<Breakfast' COLOR SCHEME 3 ;
	KEY ALT+B, ''  
DEFINE PAD Lpad OF _MSYSMENU PROMPT '\<Lunch' COLOR SCHEME 3 ;
	KEY ALT+L, ''
DEFINE PAD Dpad OF _MSYSMENU PROMPT '\<Dinner' COLOR SCHEME 3 ;
	KEY ALT+D, ''

ON PAD Bpad OF _MSYSMENU ACTIVATE POPUP Breakfast
ON PAD Lpad OF _MSYSMENU ACTIVATE POPUP Lunch
ON PAD Dpad OF _MSYSMENU ACTIVATE POPUP Dinner

DEFINE POPUP Breakfast MARGIN RELATIVE COLOR SCHEME 4
DEFINE BAR 1 OF Breakfast PROMPT '\<Eggs' 
DEFINE BAR 2 OF Breakfast PROMPT '\<Toast' 
DEFINE BAR 3 OF Breakfast PROMPT '\<Pancakes' 
DEFINE BAR 4 OF Breakfast PROMPT '\-' 
DEFINE BAR 5 OF Breakfast PROMPT '\<Ham' 
DEFINE BAR 6 OF Breakfast PROMPT '\<Bacon' 
DEFINE BAR 7 OF Breakfast PROMPT '\-' 
DEFINE BAR 8 OF Breakfast PROMPT '\<Coffee' 
DEFINE BAR 9 OF Breakfast PROMPT 'Te\<a' 

DEFINE POPUP Lunch MARGIN RELATIVE COLOR SCHEME 4
DEFINE BAR 1 OF Lunch PROMPT '\<Caesar Salad' 
DEFINE BAR 2 OF Lunch PROMPT '\<Santa Fe Spinach Salad' 
DEFINE BAR 3 OF Lunch PROMPT 'C\<obb Salad' 
DEFINE BAR 4 OF Lunch PROMPT 'So\<up du Jour' 
DEFINE BAR 5 OF Lunch PROMPT '\-' 
DEFINE BAR 6 OF Lunch PROMPT '\<Hamburger' 
DEFINE BAR 7 OF Lunch PROMPT 'Ch\<eese Burger' 
DEFINE BAR 8 OF Lunch PROMPT '\<Grilled Chicken Sandwich' 
DEFINE BAR 9 OF Lunch PROMPT '\-' 
DEFINE BAR 10 OF Lunch PROMPT 'Co\<la' 
DEFINE BAR 11 OF Lunch PROMPT 'Co\<ffee' 
DEFINE BAR 12 OF Lunch PROMPT '\<Ice Tea' 

DEFINE POPUP Dinner MARGIN RELATIVE COLOR SCHEME 4
DEFINE BAR 1 OF Dinner PROMPT '\<Caesar Salad'
DEFINE BAR 2 OF Dinner PROMPT 'C\<obb Salad'
DEFINE BAR 3 OF Dinner PROMPT '\<Soup du Jour'
DEFINE BAR 4 OF Dinner PROMPT '\-' 
DEFINE BAR 5 OF Dinner PROMPT '\<Top Sirloin Steak'
DEFINE BAR 6 OF Dinner PROMPT '\<Fresh Fish'
DEFINE BAR 7 OF Dinner PROMPT 'Chicken \<Barbacoa'
DEFINE BAR 8 OF Dinner PROMPT 'Chicken \<Marsala '
DEFINE BAR 9 OF Dinner PROMPT 'Fett\<ucine Alfredo' 
DEFINE BAR 10 OF Dinner PROMPT '\-' 
DEFINE BAR 11 OF Dinner PROMPT 'Coff\<ee'
DEFINE BAR 12 OF Dinner PROMPT 'Te\<a' 
DEFINE BAR 13 OF Dinner PROMPT '\-' 
DEFINE BAR 14 OF Dinner PROMPT 'E\<xit';
  KEY CTRL+X , "^X"

ON SELECTION POPUP ALL;
	DO Action IN syspopup WITH PROMPT(), POPUP(), BAR()

**********************************************************
*
*** Procedure Action is called whenever you choose any
*   popup options
*
PROCEDURE Action
PARAMETERS p_prompt, p_popup, p_bar

WAIT WINDOW 'You chose ' + p_prompt + ;
        " (Bar Number: "+ LTRIM(STR(p_bar)) +;
   	    ") from popup " + p_popup NOWAIT

IF p_prompt = 'Exit'
    WAIT WINDOW "The Restaurant Menu bar terminates" NOWAIT
	SET SYSMENU TO DEFAULT
	
ENDIF

